# Test: Prompts with required id and content only
# Expected: PASS

agent:
  metadata:
    id: valid-prompts-minimal
    name: Valid Prompts Minimal
    title: Valid Prompts
    icon: 🧪
    hasSidecar: false

  persona:
    role: Test agent with minimal prompts
    identity: I am a test agent with minimal prompt structure.
    communication_style: Clear
    principles:
      - Test minimal prompts

  prompts:
    - id: prompt1
      content: This is a valid prompt content
    - id: prompt2
      content: Another valid prompt

  menu:
    - trigger: help
      description: Show help
      action: display_help
